#pragma once

#include "CoreMinimal.h"
#include "ServiceLocator.h"
#include "Subsystems/WorldSubsystem.h"

#include "PerWorldServiceLocator.generated.h"

UCLASS()
class LYRAGAME_API UPerWorldServiceLocator : public UWorldSubsystem
{
	GENERATED_BODY()
public:
	static FServiceLocator* Get(UObject* WorldContextObject);

	FServiceLocator& GetServiceLocator();

protected:
	FServiceLocator ServiceLocator;
};
